# Platform Impact

## Incidents \[Paginated]

> This endpoint provides a list of incidents (as well as basic information --see field definitions in the\
> \`IncidentsData\` schema) per report date.\
> \
> You can filter for specific incident statuses, datasets, and report dates. See \`IncidentsRequest\` schema\
> for an exhaustive list of filter and aggregation options.\
> \
> \*\*NOTE:\*\* In some rare cases, incidents are not attached to any monitors, in that case we cannot check wich\
> dataset they are attached to. These incidents are therefore ignored from the output.\
> \
> Usage\
> \-----\
> Use to build reports about the number of incidents at any given time on your Soda Cloud account.\
> \
> Returns\
> \-------\
> An object of type \`IncidentsResult\` containing an array of \`IncidentsData\`.\
> \
> Find details about the response objects in the \*\*Schemas\*\* section or by\
> unfurling the response details.

```json
{"openapi":"3.0.2","info":{"title":"Soda Cloud Reporting API","version":"1.3.1"},"servers":[{"url":"https://reporting.cloud.soda.io/v1","description":"Cloud EU"},{"url":"https://reporting.cloud.us.soda.io/v1","description":"Cloud US"}],"security":[{"HTTPBasic":[]},{"SodaBackendToken":[]},{"APIKeyCookie":[]},{"ApiKeyId[Soon Deprecated] Use XApiKeyID":[]},{"APIKeySecret[Soon Deprecated] Use XApiKeySecret":[]},{"XApiKeyId":[]},{"XApiKeySecret":[]}],"components":{"securitySchemes":{"HTTPBasic":{"type":"http","scheme":"basic"},"SodaBackendToken":{"type":"apiKey","in":"header","name":"SODA_TOKEN"},"APIKeyCookie":{"type":"apiKey","in":"cookie","name":"token"},"ApiKeyId[Soon Deprecated] Use XApiKeyID":{"type":"apiKey","in":"header","name":"API_KEY_ID"},"APIKeySecret[Soon Deprecated] Use XApiKeySecret":{"type":"apiKey","in":"header","name":"API_KEY_SECRET"},"XApiKeyId":{"type":"apiKey","in":"header","name":"X-API-KEY-ID"},"XApiKeySecret":{"type":"apiKey","in":"header","name":"X-API-KEY-SECRET"}},"schemas":{"IncidentsRequest":{"title":"IncidentsRequest","type":"object","properties":{"page":{"title":"Page","minimum":1,"type":"integer","description":"Page number","default":1},"size":{"title":"Size","maximum":1000,"minimum":1,"type":"integer","description":"Page size","default":400},"dataset_ids":{"title":"Dataset Ids","type":"array","items":{"type":"string"},"description":"Dataset IDs (UUIDs from the Soda Cloud platform) to use as filter."},"status":{"title":"Status","type":"string","description":"\nString representing the status of issues you want to retrieve. Currently you can retrieve either:\n- all 'resolved' issues or\n- all 'unresolved' issues\n","default":"unresolved"},"from_datetime":{"title":"From Datetime","type":"string","description":"ISO timestamp from which you want to retrieve incidents. Defaults to last 31 days.","format":"date-time","default":"2023-10-09T09:18:16.255021"},"to_datetime":{"title":"To Datetime","type":"string","description":"ISO timestamp up to which you want to retrieve incidents. Defaults to today.","format":"date-time","default":"2023-11-09T09:18:16.255029"}},"description":"Incidents request JSON Body."},"IncidentsResult":{"title":"IncidentsResult","required":["total","page","size","data"],"type":"object","properties":{"total":{"title":"Total","type":"integer"},"page":{"title":"Page","type":"integer"},"size":{"title":"Size","type":"integer"},"data":{"title":"Data","type":"array","items":{"$ref":"#/components/schemas/IncidentData"}}},"description":"Array of `IncidentsData`."},"IncidentData":{"title":"IncidentData","type":"object","properties":{"incident_id_report_date_id":{"title":"Incident Id Report Date Id","type":"string","description":"Incident report date Id (UUID) that uniquely identifies an incident and a report_date as shown in the Soda Cloud Incidents page."},"incident_id":{"title":"Incident Id","type":"string","description":"Incident ID (UUID) of the incident in the Soda Cloud Incidents page."},"organization_id":{"title":"Organization Id","type":"string","description":"Identifier (UUID) of an organization in Soda Cloud."},"created_at":{"title":"Created At","type":"string","description":"ISO timestamp of the date at which the incidents was created in the Soda Cloud Dataset page.","format":"date-time"},"last_updated":{"title":"Last Updated","type":"string","description":"ISO timestamp of the date at which the incident was last updated.","format":"date-time"},"check_id":{"title":"Check Id","type":"string","description":"Identifier (UUID) of a check in Soda Cloud."},"check_result_id":{"title":"Check Result Id","type":"string","description":"Check result Id (UUID) of check result to which incident corresponds."},"dataset_id":{"title":"Dataset Id","type":"string","description":"Identifier (UUID) of a dataset in Soda Cloud."},"title":{"title":"Title","type":"string","description":"Title of the incident as shown in the Soda Cloud Incidents page."},"check_name":{"title":"Check Name","type":"string","description":"Name of a specific check in Soda Cloud."},"severity":{"title":"Severity","type":"string","description":"Severity of the incident as shown in the Soda Cloud Incidents page."},"description_notes":{"title":"Description Notes","type":"string","description":"Description notes of the incident as shown in the incident overview."},"resolution_notes":{"title":"Resolution Notes","type":"string","description":"Resolution notes of the incident as shown in the incident overview."},"lead_id":{"title":"Lead Id","type":"string","description":"Lead ID (UUID) of the lead assigned to the incident in the Soda Cloud Incidents page."},"lead_email":{"title":"Lead Email","type":"string","description":"Email of the lead assigned to the incident in the Soda Cloud Incidents page."},"reporter_id":{"title":"Reporter Id","type":"string","description":"Reporter ID (UUID) of the user that reported the incident in the Soda Cloud Incidents page."},"reporter_email":{"title":"Reporter Email","type":"string","description":"Reporter email of the user that reported the incident in the incident overview."},"report_date":{"title":"Report Date","type":"string","description":"Report date for which the incident information is shown.","format":"date"},"resolved_at":{"title":"Resolved At","type":"string","description":"ISO timestamp of the date at which incident was resolved in the Soda Cloud Incidents page.","format":"date-time"},"status":{"title":"Status","type":"string","description":"Status of the incident as shown in the Soda Cloud Incidents page."}},"description":"Contains incident information (see field documentation for explanations)"},"NoContentError":{"title":"NoContentError","type":"object","properties":{"resource":{"title":"Resource","type":"string","description":"Name of the resource. Usually the same string as the endpoint."},"data":{"title":"Data","type":"array","items":{"type":"object"},"description":"Generic data payload from the query. Should be overidden with a more specific pydandic model.","default":[]},"detail":{"title":"Detail","type":"string","default":"No results for the requested data. Since the data is pre-processed in batches it might be that the data you are looking for has not yet been processed. You can check when the last refresh took place by using the /last_etl_refresh_info endpoint. If you think this is a bug and you should be getting results, get in touch with us."}},"description":"Response Schema of a NoContent Error"},"HTTPValidationError":{"title":"HTTPValidationError","type":"object","properties":{"detail":{"title":"Detail","type":"array","items":{"$ref":"#/components/schemas/ValidationError"}}}},"ValidationError":{"title":"ValidationError","required":["loc","msg","type"],"type":"object","properties":{"loc":{"title":"Location","type":"array","items":{"anyOf":[{"type":"string"},{"type":"integer"}]}},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}}}}},"paths":{"/impact/incidents":{"post":{"tags":["Platform Impact"],"summary":"Incidents [Paginated]","description":"This endpoint provides a list of incidents (as well as basic information --see field definitions in the\n`IncidentsData` schema) per report date.\n\nYou can filter for specific incident statuses, datasets, and report dates. See `IncidentsRequest` schema\nfor an exhaustive list of filter and aggregation options.\n\n**NOTE:** In some rare cases, incidents are not attached to any monitors, in that case we cannot check wich\ndataset they are attached to. These incidents are therefore ignored from the output.\n\nUsage\n-----\nUse to build reports about the number of incidents at any given time on your Soda Cloud account.\n\nReturns\n-------\nAn object of type `IncidentsResult` containing an array of `IncidentsData`.\n\nFind details about the response objects in the **Schemas** section or by\nunfurling the response details.","operationId":"incidents_impact_incidents_post","requestBody":{"content":{"application/json":{"schema":{"title":"Request Body","allOf":[{"$ref":"#/components/schemas/IncidentsRequest"}],"default":{"page":1,"size":400,"status":"unresolved","from_datetime":"2023-10-09T09:18:16.255021","to_datetime":"2023-11-09T09:18:16.255029"}}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IncidentsResult"}}}},"202":{"description":"Successful request but no data was returned","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NoContentError"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soda.io/soda-documentation/soda-v3/reporting-api-v1/platform-impact.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
